Loading...
Searching...
No Matches
pcl::io::ply Namespace Reference

## Namespaces

namespace | io_operators

## Classes

struct | type_traits
class | ply_parser
| Class ply_parser parses a PLY file and generates appropriate atomic parsers for the body. More...

## Typedefs

using | int8 = std::int8_t
using | int16 = std::int16_t
using | int32 = std::int32_t
using | uint8 = std::uint8_t
using | uint16 = std::uint16_t
using | uint32 = std::uint32_t
using | float32 = float
using | float64 = double
using | format_type = int

## Enumerations

enum | byte_order { little_endian_byte_order , big_endian_byte_order , network_byte_order = big_endian_byte_order }
enum | format { ascii_format , binary_little_endian_format , binary_big_endian_format , unknown }

## Functions

template<std::size_t N>
void | swap_byte_order (char *bytes)
template<>
void | swap_byte_order< 1 > (char *)
template<>
void | swap_byte_order< 2 > (char *bytes)
template<>
void | swap_byte_order< 4 > (char *bytes)
template<>
void | swap_byte_order< 8 > (char *bytes)
template<typename T>
void | swap_byte_order (T &value)

## Typedef Documentation

## float32

using pcl::io::ply::float32 = float

Definition at line 65 of file ply.h.

## float64

using pcl::io::ply::float64 = double

Definition at line 66 of file ply.h.

## format_type

using pcl::io::ply::format_type = int

Definition at line 97 of file ply.h.

## int16

using pcl::io::ply::int16 = std::int16_t

Definition at line 59 of file ply.h.

## int32

using pcl::io::ply::int32 = std::int32_t

Definition at line 60 of file ply.h.

## int8

using pcl::io::ply::int8 = std::int8_t

Definition at line 58 of file ply.h.

## uint16

using pcl::io::ply::uint16 = std::uint16_t

Definition at line 62 of file ply.h.

## uint32

using pcl::io::ply::uint32 = std::uint32_t

Definition at line 63 of file ply.h.

## uint8

using pcl::io::ply::uint8 = std::uint8_t

Definition at line 61 of file ply.h.

## Enumeration Type Documentation

## byte_order

enum pcl::io::ply::byte_order

Enumerator
little_endian_byte_order |
big_endian_byte_order |
network_byte_order |

Definition at line 59 of file byte_order.h.

## format

enum pcl::io::ply::format

Enumerator
ascii_format |
binary_little_endian_format |
binary_big_endian_format |
unknown |

Definition at line 98 of file ply.h.

## Function Documentation

## swap_byte_order() [1/2]

template<std::size_t N>

void pcl::io::ply::swap_byte_order | ( | char * | bytes | ) |

Referenced by swap_byte_order().

## swap_byte_order() [2/2]

template<typename T>

void pcl::io::ply::swap_byte_order | ( | T & | value | ) |

Definition at line 102 of file byte_order.h.

References swap_byte_order().

## swap_byte_order< 1 >()

template<>

void pcl::io::ply::swap_byte_order< 1 > | ( | char * |  | ) |

inline

Definition at line 77 of file byte_order.h.

## swap_byte_order< 2 >()

template<>

void pcl::io::ply::swap_byte_order< 2 > | ( | char * | bytes | ) |

inline

Definition at line 80 of file byte_order.h.

## swap_byte_order< 4 >()

template<>

void pcl::io::ply::swap_byte_order< 4 > | ( | char * | bytes | ) |

inline

Definition at line 86 of file byte_order.h.

## swap_byte_order< 8 >()

template<>

void pcl::io::ply::swap_byte_order< 8 > | ( | char * | bytes | ) |

inline

Definition at line 93 of file byte_order.h.